AccessibleTextSequence (Java SE 12 & JDK 12 )
Keywords: javax.accessibility.AccessibleTextSequence class

Module java.desktop
Package javax.accessibility

## Class AccessibleTextSequence

- java.lang.Object
- - javax.accessibility.AccessibleTextSequence

-     public class AccessibleTextSequence
      extends Object

  This class collects together key details of a span of text. It is used by implementors of the class `AccessibleExtendedText` in order to return the requested triplet of a `String`, and the start and end indicies/offsets into a larger body of text that the `String` comes from.
  See Also:
    `AccessibleExtendedText`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `endIndex` | The end index of the text sequence.
    `int` | `startIndex` | The start index of the text sequence.
    `String` | `text` | The text.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessibleTextSequence​(int start, int end, String txt)` | Constructs an `AccessibleTextSequence` with the given parameters.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startIndex

          public int startIndex

      The start index of the text sequence.

    - #### endIndex

          public int endIndex

      The end index of the text sequence.

    - #### text

          public String text

      The text.

  - ### Constructor Detail

    - #### AccessibleTextSequence

          public AccessibleTextSequence​(int start,
                                        int end,
                                        String txt)

      Constructs an `AccessibleTextSequence` with the given parameters.
      Parameters:
        `start` - the beginning index of the span of text
        `end` - the ending index of the span of text
        `txt` - the `String` shared by this text span
      Since:
        1.6